import { TableAlarms, TableAlarmsOptions } from './table-alarms';
import { GlobalSecondaryIndexProps, Table, TableProps } from 'aws-cdk-lib/aws-dynamodb';
import { Construct } from 'constructs';
import { ExtendedConstructProps } from '../../aws-cdk';
/**
 * Properties for ExtendedTable.
 */
export interface ExtendedTableProps extends TableProps, TableAlarmsOptions, ExtendedConstructProps {
}
/**
 * DynamoDB Table with CloudWatch Alarms.
 */
export declare class ExtendedTable extends Table {
    readonly tableAlarms?: TableAlarms;
    constructor(scope: Construct, id: string, props: ExtendedTableProps);
    /**
     * Add a global secondary index of table.
     *
     * @param props the property of global secondary index
     */
    addGlobalSecondaryIndex(props: GlobalSecondaryIndexProps): void;
}
